%global src_release 0.6.0
%global src_prerelease rc2
%global src_version %{src_release}-%{src_prerelease}

Name:		jsoncpp
Version:	%{src_release}
Release:	0.2.%{src_prerelease}%{?dist}
Summary:	An implementation of a JSON reader and writer in C++
Group:		Development/Libraries
License:	Public Domain or MIT
URL:		http://sourceforge.net/projects/%{name}/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{src_version}/%{name}-src-%{src_version}.tar.gz

BuildRequires:	scons doxygen

%description
%{name} is an implementation of a JSON (http://json.org) reader and writer in
C++. JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It is easy for humans to read and write. It is easy for machines to parse and
generate.

%package devel
Summary:	Development headers and library for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the development headers and library for %{name}.


%package static
Summary:	Static libraries for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
This package contains static libraries for %{name}.


%package doc
Summary:	Reference manual for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains the reference manual for %{name}.

%prep
%setup -q -n %{name}-src-%{src_version}
sed 's/CCFLAGS = "-Wall"/CCFLAGS = "%{optflags}"/' -i SConstruct

%build
scons platform=linux-gcc %{?_smp_mflags}
# Build the doc
python doxybuild.py --with-dot --doxygen %{_bindir}/doxygen

%check
scons platform=linux-gcc check %{?_smp_mflags}

%install
install -D libs/*/*.so $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so.%{src_release}
install -D libs/*/*.a $RPM_BUILD_ROOT%{_libdir}/lib%{name}.a.%{src_release}
ln -s %{_libdir}/lib%{name}.so.%{src_release} $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}/json
install -m 0644 include/json/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/json
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 0644 dist/doxygen/*/*.{html,png} $RPM_BUILD_ROOT%{_docdir}/%{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS LICENSE NEWS.txt README.txt
%{_libdir}/lib%{name}.so.%{src_release}

%files static
%doc AUTHORS LICENSE NEWS.txt README.txt
%{_libdir}/lib%{name}.a.%{src_release}

%files devel
%doc AUTHORS LICENSE NEWS.txt README.txt
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}

%files doc
%doc AUTHORS LICENSE NEWS.txt README.txt
%{_docdir}/%{name}

%changelog
* Sun Dec 02 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 0.6.0-0.2.rc2
- Changed license field to Public Domain or MIT

* Tue Nov 27 2012 Sébastien Willmann <sebastien.willmann@gmail.com> 0.6.0-0.1.rc2
- Creation of the spec file

